curl --request GET \
--url https://api.volteras.com/v1/vehicles/{vehicle_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.volteras.com/v1/vehicles/{vehicle_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.volteras.com/v1/vehicles/{vehicle_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"make": "<string>",
"vin": "<string>",
"id": "<string>",
"metadata": {
"lastSeenAt": "2023-11-07T05:31:56Z",
"consentId": "<string>",
"accountId": "<string>",
"registrationDate": "2023-12-25"
},
"model": "<string>",
"trim": "<string>",
"modelYear": "<string>",
"registrationPlate": "<string>",
"isRegNoValidated": true,
"regNoValidatedAt": "2023-11-07T05:31:56Z",
"isListening": true,
"listeningLastUpdated": "2023-11-07T05:31:56Z",
"connectionStatus": "<string>",
"connectionErrorCode": "<string>",
"connectionErrorMessage": "<string>",
"actionCategory": "<string>",
"investigationState": "UNDER_REVIEW",
"investigationSubState": "NEEDED",
"investigationTitle": "<string>",
"investigationMessage": "<string>",
"investigationUpdatedAt": "2023-11-07T05:31:56Z"
}Get Vehicle
Retrieve detailed information about a vehicle by specifying its unique identifier (ID).
Returns:
- A response containing detailed information about the vehicle.
Possible Codes in Error Response (see Errors for error response schema and meaning of codes):
- AUTHENTICATION_ERROR
- REQUEST_VALIDATION_ERROR
- RESOURCE_NOT_FOUND
- SERVER_ERROR
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique internal identifier for the vehicle.
Response
Successful Response
Manufacturer of the vehicle.
Vehicle identification number. Unique identifier for the vehicle.
Unique internal identifier for the vehicle.
Additional information about the vehicle.
Show child attributes
Show child attributes
Subcategory of the make, used to differentiate between different variations of a vehicle within the same make.
Subcategory of the model, used to differentiate between different variations of a vehicle within the same model. Also referred to as version or generation.
Year the vehicle model was released. Could be different than the year the vehicle was manufactured.
Plate that is attached to a vehicle and displays a unique combination of letters and numbers assigned to the vehicle by a government agency. Also referred to as license plate or registration number.
Indicates whether the registration plate has been validated
Timestamp of when the registration plate was last validated
Indicates whether the vehicle is currently accepting data ingestion and commands. Defaults to True when no listening state entries have been recorded.
UTC timestamp for the most recent listening-state update, or null when no entries exist.
Connection status of the vehicle (e.g. CONNECTED, PENDING_CONNECTION, DISCONNECTED).
Error code if the vehicle has a connection issue.
Human-readable error message for connection issues.
Who must act on the connection error: CUSTOMER_ACTION, CONTACT_SUPPORT, or UNDER_REVIEW.
Customer-facing status of an active Volteras investigation into this vehicle's connection (UNDER_REVIEW, CONTACT_OEM, CUSTOMER_ACTION, RETRY, ESCALATED_INTERNALLY). Null when there is no active investigation or the investigation status feature is not enabled for your organization.
UNDER_REVIEW, CONTACT_OEM, CUSTOMER_ACTION, RETRY, ESCALATED_INTERNALLY, CONFIRMED_INCOMPATIBLE, SELF_RECOVERED CONTACT_OEM progression (NEEDED, REQUESTED, ONGOING); null for other investigation states.
NEEDED, REQUESTED, ONGOING Display title for the current investigation status.
Customer-appropriate explanation of the current investigation state.
UTC timestamp of the most recent investigation progression.

